Subject: bug#68760: I guess I found a bug in "guix pull" ?

From: Joshua Branson <[email-masked]>
Date: Sun, 31 Mar 2024 17:26:03 -0400

Josselin Poiret <[email-masked]> writes:

> Hi,
>
> jbranso--- via Bug reports for GNU Guix <[email-masked]> writes:
>
>>  message: "error parsing derivation `/gnu/store/3nppfdxy9vgg9ls6qi8j8pkzw2khi98h-git-minimal-2.41.0.drv': expected string `Derive(['"
>>  status: 1
>> guix pull: error: You found a bug: the program '/gnu/store/m9z876jpmpbslc6qaikbp9fk5dv01y3n-compute-guix-derivation'
>
> Looks like the elusive "empty drv" bug (maybe caused by fs corruption?).
> Can you `guix gc -D` that drv and retry?
>
> Best,

Thanks for the quick reply.  I was able to fix the issues that I had by
the following:

# guix system delete-generations
$ guix package -d
$ guix gc

Then I git cloned guix source, compiled from source, and

# sudo -E ./pre-inst-env guix system reconfigure \
../../guix-config/bare-bones-sway.scm

I was able to update guix pretty smoothly after that!

Thanks,

Joshua

P.S.  I'll close this bug report as well.